import error from './error/error-config'

export default (type: keyof typeof error, msg?: string, data?: any) => {
  let d = <{msg: string; code: number; data?: any}>{...error[type]}

  if (msg) {
    d.msg = msg
  }

  if (data) {
    d.data = data
  }

  return d
}
