import { ipcRenderer as n, contextBridge as c } from "electron";
import a from "path";
const d = {
  refreshStatus: () => n.send("$mqtt/status"),
  removeClient: (e) => n.send("remove-mqtt-client", e),
  onmessage: (e) => {
    n.on("mqtt-message", (s, o, t, i) => {
      e(o, t, i);
    });
  },
  localPublish: (e, s) => n.send("mqtt-local-publich", e, s),
  publish: (e, s) => n.send("mqtt-publich", e, s),
  subscribes: (e, s) => n.send("mqtt-subscribes", e, s),
  unsubscribes: (e, s) => n.send("mqtt-unsubscribes", e, s)
}, b = {
  removeClient: (e) => n.send("$ipc/remove/client", e),
  onmessage: (e) => {
    n.on("$ipc/message", (s, o, ...t) => {
      e(o, ...t);
    });
  },
  send: (e, ...s) => n.send("$ipc/send", e, ...s),
  sendMain: (e, ...s) => n.send("$ipc/sendmain", e, ...s),
  subscribes: (e, s) => n.send("$ipc/subscribes", e, s),
  unsubscribes: (e, s) => n.send("$ipc/unsubscribes", e, s)
}, m = {
  onTabInitChange: (e) => {
    let s = (o, t) => e(t);
    return n.on("change-tab", s), () => {
      n.removeListener("change-tab", s);
    };
  },
  ondragstart: (e) => (n.on("browser-ondragstart", e), () => {
    n.removeListener("change-tab", e);
  }),
  ondragstop: (e) => (n.on("browser-ondragstop", e), () => {
    n.removeListener("change-tab", e);
  })
};
let r = {
  browser: m,
  mqtt: d,
  gc: b,
  __dirname: a.join(__dirname, ".."),
  getWebContentId: () => n.sendSync("getWebContentId"),
  getUserInfo: () => n.sendSync("getUserInfo"),
  getCmList: () => n.sendSync("getCmList"),
  getCookie: (e) => n.invoke("get-cookie", e),
  setCookie: (e) => n.invoke("set-cookie", e)
};
c.exposeInMainWorld("_pre_", r);
window._pre_ = r;
