/**
 * @用途 环境配置类
 * @author 黄敏
 * @创建时间 2022-08-18 09:42
 **/
interface EnvConfig {
    baseApi: string;
    mqttTopic: string;
    eyeApi: string;
    ticketUrl: string;
    bbsUrl: string;
    extensionUrl: string;
}
declare class Env {
    static config: Readonly<EnvConfig>;
    static get localDomains(): string[];
    static getBaseUrl(path: string): string;
    static isLocalUrl(url: string): boolean;
    /**
     * 获取注入基础地址
     * */
    static getPreloadUrl(path: string): string;
}
export default Env;
