/// <reference path="../../types.d.ts" />
import { MqttHandle } from './src/mqtt';
import { GcHandle } from './src/gc';
import { BrowserHandle } from './src/browser';
declare global {
    var _pre_: Readonly<{
        browser: BrowserHandle;
        gc: GcHandle;
        mqtt: MqttHandle;
        __dirname: string;
        getWebContentId(): number;
        getUserInfo(): User.UserInfo;
        getCmList(): User.CMItem[];
        getCookie(data: Electron.CookiesGetFilter): Promise<Electron.Cookie[]>;
        setCookie(data: Electron.CookiesSetDetails): Promise<void>;
    }>;
}
