/**
 * @用途
 * @author 黄敏
 * @创建时间 2022-08-10 15:39
 **/
interface ToInfoReturn {
    type: Crawler.DataType | 'indetermination';
    data: Crawler.ContactInfo;
}
declare class ContactInfo {
    static contactConfig: {
        medium?: f2.info.Config | undefined;
        line?: f2.info.Config | undefined;
        email?: f2.info.Config | undefined;
        phone?: f2.info.Config | undefined;
        qq?: f2.info.Config | undefined;
        skype?: f2.info.Config | undefined;
        telegram?: f2.info.Config | undefined;
        wechat?: f2.info.Config | undefined;
        linkedin?: f2.info.Config | undefined;
        facebook?: f2.info.Config | undefined;
        youtube?: f2.info.Config | undefined;
        pinterest?: f2.info.Config | undefined;
        instagram?: f2.info.Config | undefined;
        twitter?: f2.info.Config | undefined;
        "google plus"?: f2.info.Config | undefined;
        crunchbase?: f2.info.Config | undefined;
        wiki?: f2.info.Config | undefined;
        angellist?: f2.info.Config | undefined;
        quora?: f2.info.Config | undefined;
        website?: f2.info.Config | undefined;
        github?: f2.info.Config | undefined;
        icq?: f2.info.Config | undefined;
        whatsapp?: f2.info.Config | undefined;
        tianyancha?: f2.info.Config | undefined;
        qcc?: f2.info.Config | undefined;
        qixin?: f2.info.Config | undefined;
        opencorporates?: f2.info.Config | undefined;
        dnb?: f2.info.Config | undefined;
        asnumber?: f2.info.Config | undefined;
        jd?: f2.info.Config | undefined;
        alibaba?: f2.info.Config | undefined;
        tmall?: f2.info.Config | undefined;
        ebay?: f2.info.Config | undefined;
        amazon?: f2.info.Config | undefined;
        weibo?: f2.info.Config | undefined;
        zhihu?: f2.info.Config | undefined;
        itjuzi?: f2.info.Config | undefined;
        craft?: f2.info.Config | undefined;
        pedaily?: f2.info.Config | undefined;
        cyzone?: f2.info.Config | undefined;
        wsj?: f2.info.Config | undefined;
        shop?: f2.info.Config | undefined;
        paganresearch?: f2.info.Config | undefined;
        bgpview?: f2.info.Config | undefined;
        wordpress?: f2.info.Config | undefined;
    };
    static accountConfig: {
        medium?: f2.info.Config | undefined;
        line?: f2.info.Config | undefined;
        email?: f2.info.Config | undefined;
        phone?: f2.info.Config | undefined;
        qq?: f2.info.Config | undefined;
        skype?: f2.info.Config | undefined;
        telegram?: f2.info.Config | undefined;
        wechat?: f2.info.Config | undefined;
        linkedin?: f2.info.Config | undefined;
        facebook?: f2.info.Config | undefined;
        youtube?: f2.info.Config | undefined;
        pinterest?: f2.info.Config | undefined;
        instagram?: f2.info.Config | undefined;
        twitter?: f2.info.Config | undefined;
        "google plus"?: f2.info.Config | undefined;
        crunchbase?: f2.info.Config | undefined;
        wiki?: f2.info.Config | undefined;
        angellist?: f2.info.Config | undefined;
        quora?: f2.info.Config | undefined;
        website?: f2.info.Config | undefined;
        github?: f2.info.Config | undefined;
        icq?: f2.info.Config | undefined;
        whatsapp?: f2.info.Config | undefined;
        tianyancha?: f2.info.Config | undefined;
        qcc?: f2.info.Config | undefined;
        qixin?: f2.info.Config | undefined;
        opencorporates?: f2.info.Config | undefined;
        dnb?: f2.info.Config | undefined;
        asnumber?: f2.info.Config | undefined;
        jd?: f2.info.Config | undefined;
        alibaba?: f2.info.Config | undefined;
        tmall?: f2.info.Config | undefined;
        ebay?: f2.info.Config | undefined;
        amazon?: f2.info.Config | undefined;
        weibo?: f2.info.Config | undefined;
        zhihu?: f2.info.Config | undefined;
        itjuzi?: f2.info.Config | undefined;
        craft?: f2.info.Config | undefined;
        pedaily?: f2.info.Config | undefined;
        cyzone?: f2.info.Config | undefined;
        wsj?: f2.info.Config | undefined;
        shop?: f2.info.Config | undefined;
        paganresearch?: f2.info.Config | undefined;
        bgpview?: f2.info.Config | undefined;
        wordpress?: f2.info.Config | undefined;
    };
    static getUrlType(d: string): f2.info.Type;
    static validate(type: f2.info.Type, info: string, isContact?: boolean): boolean;
    /**
     * 新建一个新的联系方式
     * @param type 联系方式类型
     * @param info 联系试式内容
     * @param countryId 国家id
     * */
    static newInfo(type: f2.info.Type, info?: string, countryId?: number): f2.info.Info;
    static urlToInfo(url: string): ToInfoReturn | null;
    static getFacebookUID(url: string): string;
    /**
     * 获取联系方式id
     * @param {string} type 通讯类型 有linkedin,facebook,twitter,email等
     * @param {string} info 联系方式内容
     * @param {boolean} hasHtml 是否支持html代码
     * @param {boolean} 是否是contact数据
     * @return {string} 通讯的图标类
     * */
    static getInfoId(type: f2.info.Type, info: string | number, hasHtml?: boolean, isContact?: boolean): string;
}
export default ContactInfo;
